## org.eclipse.emf.cdo.edit
Class CDOItemProviderAdapter.AdaptersDescriptor

    java.lang.Object
      org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor
          org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.AdaptersDescriptor

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.IItemPropertyDescriptor

Enclosing class:
  CDOItemProviderAdapter

    public static class CDOItemProviderAdapter.AdaptersDescriptor

extends CDOItemProviderAdapter.CDOPropertyDescriptor
implements org.eclipse.emf.edit.provider.IItemPropertyDescriptor

Adds the `eAdapters` list of a `CDOObject` to the Properties View.

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor
`CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider`

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor
`org.eclipse.emf.edit.provider.IItemPropertyDescriptor.OverrideableCommandOwner`

Field Summary

Fields inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor
`CDO_CATEGORY, FILTER_ID_EXPERT`

Constructor Summary
`CDOItemProviderAdapter.AdaptersDescriptor()`

Method Summary
`java.lang.String` `getDescription(java.lang.Object object)`
`java.lang.String` `getDisplayName(java.lang.Object object)`
`java.lang.Object` `getFeature(java.lang.Object object)`
`java.lang.String` `getId(java.lang.Object object)`
`java.lang.Object` `getPropertyValue(java.lang.Object object)`

Methods inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor
`canSetProperty, getCategory, getChoiceOfValues, getFilterFlags, getHelpContextIds, getLabelProvider, isCompatibleWith, isMany, isMultiLine, isPropertySet, isSortChoices, resetPropertyValue, setPropertyValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor
`canSetProperty, getCategory, getChoiceOfValues, getFilterFlags, getHelpContextIds, getLabelProvider, isCompatibleWith, isMany, isMultiLine, isPropertySet, isSortChoices, resetPropertyValue, setPropertyValue`

Constructor Detail

### CDOItemProviderAdapter.AdaptersDescriptor

    public CDOItemProviderAdapter.AdaptersDescriptor()

Method Detail

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.Object object)

  Specified by:
    `getPropertyValue` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

### getDescription

    public java.lang.String getDescription(java.lang.Object object)

  Specified by:
    `getDescription` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

### getDisplayName

    public java.lang.String getDisplayName(java.lang.Object object)

  Specified by:
    `getDisplayName` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

### getFeature

    public java.lang.Object getFeature(java.lang.Object object)

  Specified by:
    `getFeature` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

### getId

    public java.lang.String getId(java.lang.Object object)

  Specified by:
    `getId` in interface `org.eclipse.emf.edit.provider.IItemPropertyDescriptor`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.